<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title> Controls</title>
</head>
<body>
    <h1>Pump Control</h1>
    <form id="gpioControlForm">
        <label for="pin">Select GPIO Pin:</label>
        <select id="pin" name="pin">
            <option value="2">GPIO 2</option>
            <option value="4">GPIO 4</option>
            <!-- Add more options for other GPIO pins as needed -->
        </select>
        <br>
        <label for="command">Select Command:</label>
        <select id="command" name="command">
            <option value="on">Turn On</option>
            <option value="off">Turn Off</option>
        </select>
        <br>
        <button type="button" onclick="controlGPIO()">Control GPIO</button>
    </form>

    <div id="result"></div>

    <script>
        function controlGPIO() {
            const pin = document.getElementById("pin").value;
            const command = document.getElementById("command").value;

            // Make an API request to control GPIO
            fetch(`/control-gpio?pin=${pin}&command=${command}`)
                .then(response => response.text())
                .then(data => {
                    // Display the result
                    const resultDiv = document.getElementById("result");
                    resultDiv.innerHTML = data;
                })
                .catch(error => {
                    console.error('Error:', error);
                });
        }
    </script>
</body>
</html>
